//a collection of helper functions to act as responses for otherwise
//external calls in this implementation for demo purposes

public class HelperFunctions {
    public double[] geocodingAPI(String inputAddress) { //simulates converting an input address into lat-long coordinates
        double[] coords = new double[2];
        switch (inputAddress) {
            case "250 Community College Pkwy SE, Palm Bay, FL 32909":
                coords[0] = 27.993699393377653;
                coords[1] = -80.63006489971767;
                break;
            case "3865 N Wickham Rd, Melbourne, FL 32935":
                coords[0] = 28.17009584609403;
                coords[1] = -80.67083038806463;
                break;
        }
        double[] returnArray = coords;
        return returnArray;
    }

    public double[][] routingAPI(double[] startCoords, double[] destinationCoords) {
        //ideally this would return a series of coordinates, but for the sake of the demo it's just
        //going to concatenate the start and end into a 2x2 array with just those two steps
        double[][] routeArray = {startCoords, destinationCoords};
        return routeArray;
    }
}
